GNU bug report logs - #26180
Remove motif toolkit support

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Glenn Morris <rgm@HIDDEN>; dated Sun, 19 Mar 2017 23:15:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 26180 <at> debbugs.gnu.org:


Received: (at 26180) by debbugs.gnu.org; 4 Apr 2017 07:26:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 04 03:26:32 2017
Received: from localhost ([127.0.0.1]:59752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cvIrI-00025V-6y
	for submit <at> debbugs.gnu.org; Tue, 04 Apr 2017 03:26:32 -0400
Received: from mout.gmx.net ([212.227.15.18]:57851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cvIrF-000255-Q0
 for 26180 <at> debbugs.gnu.org; Tue, 04 Apr 2017 03:26:30 -0400
Received: from [192.168.1.100] ([213.162.68.81]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LhOSG-1cHtVO2B6W-00maGH; Tue, 04
 Apr 2017 09:26:22 +0200
Message-ID: <58E34A96.6000504@HIDDEN>
Date: Tue, 04 Apr 2017 09:26:14 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#26180: Remove motif toolkit support
References: <fgr31soo4o.fsf@HIDDEN>
 <58D380BE.5050107@HIDDEN>	<71b46c9e-b1e1-416f-2d00-a86516628a5e@HIDDEN>	<58D38425.4060803@HIDDEN>
 <f3pogtxlm5.fsf@HIDDEN>
In-Reply-To: <f3pogtxlm5.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:mVjzHoNJv1cfhlqyKY5EeiS1zOPK2JXJudR64Nt/E1yL+pyKw+H
 frsI5T8ttG1bO6pDRSjhXCNghCnwgpEqds0H6A691unWpFkfHuNOBzx/B563YCa+Wi+myPQ
 hMCoc82zghh/r7vCXVpbPr4t4GUGvFqsleKCY1pxuB6B/hbrzVymZXfi3iXIcc4ArTcRGik
 jWhRNPLrtSTiw6iXCP7Aw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:M0VhnKFWNhU=:lqF/uVR8plkMkNLkAoptA9
 wFS/znwFWtEKgeXdCQjrnXneCoaFlg0XzTnJIlvjWonzjF9XLdRER47mnUlyFGZBoVQ+OjOZp
 Nvaij1ErjefaSGij7KFBl9RQegvI7nLesUNB7M1+lbaT7Le9IRxgXPfRZK9O7gJScUUQwCGIG
 qHUcFIVPc6bDnp0NyEmCxdShmROs6OCvDoZEO5vLJ5wgylKm6uAcCfp37E2scrZGYus5Q3dya
 th6+jfDrwS4fYWHmKfDIFxgYVGhwNBXnnzBuHYSHmRIEpvJkwDPPkxrTSoK41cNYSqsFm+BXB
 dGQHhgxOI/a4ZDjF7VPsexbnt5aIOpl2AFlt3BMu1TYURzDyQ9apANlGMrUVrCpRZjAMER8g9
 zo4ZQHBlNbQMIWx+XGpwSIlrRq7ZpkKkBlCG3fqqvh7ZZKB/HkisAfE/e1zMhKu9gqug7E28I
 J9IGhNuP0ww1HRxAQdwi88lWPsYTE5F7jCiqtHyiEC7HOirobFiv7y2zSgUl+n7u4twOC+N4s
 fNxQQv9JVlkpP0By+Kr6JeK9BrWqIGOVbjyr3EsDTroU9ufbzTlwVHH2Tf80RA4L/zYm+8Ae3
 FEKn878YApSpesHcf9VFrSav0yTb/A9uSAHIrkBesxJHzMvBO4WtqRj58U6Nk/x1YAjisEeAL
 1JdPKQu595RccnpnhCITS3dIdU+iTqzJLhs0EJfdC3LIuhLwFo1D539qA51Uw4He+KdoRD+hs
 nXJMx1Fu72fNvRRcAYuGTZ2YaxZUOasSozKUsgrCC5Ljfiuj7ACRsDSEfiQ7VYP7RXEnAPyOu
 gKfF5Eyj8c5YFZ9cExatBME7zO+GK5Uev6J1E2FSIRGbCeOay/FH4EGCvbeikVmX3MhDU8AX4
 NahCdLfJ1C+VH8Wsfv6h1jRlA5JyPcFxHORCzSSQTyAt4mvNR3d58JieXG/urnYsvMQUZof0o
 5jinXPz1xBjzDyQy9i4U6LPZYrcMgOOxtmoWd0JaHmStcenURpsjJ
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 26180
Cc: 26180 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 >> As a matter of fact, the only person affected by such a change in the
 >> positive sense could be me: I'd have one build less to care about.
 >
 > If you are really saying that only you would benefit from this
 > simplification (?), then I disagree with you.

Can you tell me where Motif support is hindering progress in any other
area?

 >> Still, it's sometimes reassuring when both Lucid and Motif handle a
 >> strange case the same way.
 >
 > If this is the best (so far the only?) reason to keep Motif,
 > then it's pretty weak, IMO.

If it's our aim to reduce the number of bug reports, the best solution
would be to remove GTK support and make the Motif build the default one.
I still don't get it why you so fervidly want to remove sane and stable
branches from the Emacs tree.  Spring-cleaning?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26180; Package emacs. Full text available.

Message received at 26180 <at> debbugs.gnu.org:


Received: (at 26180) by debbugs.gnu.org; 3 Apr 2017 20:49:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 03 16:49:38 2017
Received: from localhost ([127.0.0.1]:59497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cv8uv-0001iL-St
	for submit <at> debbugs.gnu.org; Mon, 03 Apr 2017 16:49:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cv8uu-0001i9-N8
 for 26180 <at> debbugs.gnu.org; Mon, 03 Apr 2017 16:49:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cv8uo-0007TJ-T7
 for 26180 <at> debbugs.gnu.org; Mon, 03 Apr 2017 16:49:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55213)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cv8ui-0007QN-Oj; Mon, 03 Apr 2017 16:49:24 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cv8uh-0007B4-3F; Mon, 03 Apr 2017 16:49:23 -0400
From: Glenn Morris <rgm@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#26180: Remove motif toolkit support
References: <fgr31soo4o.fsf@HIDDEN> <58D380BE.5050107@HIDDEN>
 <71b46c9e-b1e1-416f-2d00-a86516628a5e@HIDDEN>
 <58D38425.4060803@HIDDEN>
X-Spook: constitution Commecen Kosovo Resistant Hostage MILSATCOM
X-Ran: ZI<EB(*^Yi|=LF(euxLi<,ih/o#YCq?033FaEjeDBXQ;229)Ac:iG4kMj66*`Z`g%6(|(A
X-Hue: green
X-Attribution: GM
Date: Mon, 03 Apr 2017 16:49:22 -0400
In-Reply-To: <58D38425.4060803@HIDDEN> (martin rudalics's message of "Thu, 23
 Mar 2017 09:15:33 +0100")
Message-ID: <f3pogtxlm5.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26180
Cc: 26180 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

martin rudalics wrote:

> As a matter of fact, the only person affected by such a change in the
> positive sense could be me: I'd have one build less to care about.

If you are really saying that only you would benefit from this
simplification (?), then I disagree with you.

> Still, it's sometimes reassuring when both Lucid and Motif handle a
> strange case the same way.

If this is the best (so far the only?) reason to keep Motif,
then it's pretty weak, IMO.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26180; Package emacs. Full text available.

Message received at 26180 <at> debbugs.gnu.org:


Received: (at 26180) by debbugs.gnu.org; 23 Mar 2017 08:15:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 23 04:15:53 2017
Received: from localhost ([127.0.0.1]:40109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cqxuS-00038V-W4
	for submit <at> debbugs.gnu.org; Thu, 23 Mar 2017 04:15:53 -0400
Received: from mout.gmx.net ([212.227.17.22]:59779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cqxuR-00038J-EM
 for 26180 <at> debbugs.gnu.org; Thu, 23 Mar 2017 04:15:51 -0400
Received: from [192.168.1.100] ([213.162.68.47]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M8qOm-1d36S40Ue4-00C91F; Thu, 23
 Mar 2017 09:15:44 +0100
Message-ID: <58D38425.4060803@HIDDEN>
Date: Thu, 23 Mar 2017 09:15:33 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Dmitry Gutov <dgutov@HIDDEN>, Glenn Morris <rgm@HIDDEN>, 
 26180 <at> debbugs.gnu.org
Subject: Re: bug#26180: Remove motif toolkit support
References: <fgr31soo4o.fsf@HIDDEN> <58D380BE.5050107@HIDDEN>
 <71b46c9e-b1e1-416f-2d00-a86516628a5e@HIDDEN>
In-Reply-To: <71b46c9e-b1e1-416f-2d00-a86516628a5e@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:qG/4hXKIj8AurQskjgCZGTuH6/61CG7TUH/xAEIVqvGms9TG6lu
 nZ5ZN2ZjgccZx8LAHolStk0kG0CLnPD9rOfFlkU9IyCTe3KNlPiVY+RSdfapdSFdSc9YWWj
 YdvJsIYostxLJjg6tnjyYNq+NCQ6qT5rVVywsY+JjPIkzgtt8ZU64yXJZPLHNfmHg44Cs3M
 gH03guw1WCnD6E2E5o+GQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:3pKWuFIP/Mk=:rvAjrZcUmWuWwLXc+XdcXo
 oMjXDIbMrugbKPWOvXVrFYh5iXAgfxAvOJZoh23kz/Tc+WaL0fFZSUB1DxCnV3BqMGw7BGz33
 pz6et74+ARTVkI+jAlN8kPvfOflut7FyrXGCYc42jdbMmSfV0yuCquUfo+Rr9RG/Rw2EOt3o8
 C4CYg8iWqA9zc/xTGpnKxgZb55EM2aVd9qXo05FBFIiPsfh5xSXROOxXsjb8f3PXXT9PIh4hF
 yniNy1GWp/bHJxLL+jZ/lyoPw+nbBGRtAGiwaBQzEUpI+mbOI4kwdrK+uP+g4WVna3sKgj/o6
 YomzoOlkq0gCKz1hgcQTlfgd6Ll9DT6mDjX+9op+XX+cm4gp3NQ7cZfVQt8fKft0ebyObkufB
 64UUJLBxqlnyjJdgGEDVGKWm+LYdaEHwSWGb1ebjIti07hxzpxjqR+pYI1/JXD8fJvXRKs1Qo
 ntseSYguTHN/buaiHiOJSS+6lUow76v0vaUk/Tst5fEVyv92jjSlA2DxuaWzp6xRsmcPVcH3B
 HahIDQivawc4O4liqMAbaz5m1v65xz8RCgBIAbXA4Ap48LEh5852Wa4xEk9UU9M3LrwfsxgaK
 kSICWXyNO5vpzTdgrTh1caZwt91JwN6jSKfO0DvgjkGqR4kp0N+LedUN23liN17DgR2REiB3R
 XnIO8Eu7h3eI9L662pjtU8Q696O95+nm8wfsXEIFaqaoHg2d0EhNHrYcdFKfGOPJYtIzj/aYZ
 mEZ91gsp1bs9Ikvrk0dJsdzHyzTUBmE6SSdNf9hg+mnRoHW4rj5+X7gcxko2tkzpjKFiki+Mt
 byxY8bd+jRky71P0lQct+Iqp2o8kw==
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > If Motif were removed, you'd still have Lucid and "none"
 to test > against, wouldn't you? As a matter of fact, the only person affected
 by such a change in the positive sense could be me: I'd have one build less
 to care about. Still, it's sometimes reassuring when both Lucid and Motif
 handle a strange case the same way. [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.17.22 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.17.22 listed in list.dnswl.org]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [213.162.68.47 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [212.227.17.22 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 26180
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > If Motif were removed, you'd still have Lucid and "none"
    to test > against, wouldn't you? As a matter of fact, the only person affected
    by such a change in the positive sense could be me: I'd have one build less
    to care about. Still, it's sometimes reassuring when both Lucid and Motif
    handle a strange case the same way. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.17.22 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.17.22 listed in list.dnswl.org]
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [213.162.68.47 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [212.227.17.22 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

 > If Motif were removed, you'd still have Lucid and "none" to test
 > against, wouldn't you?

As a matter of fact, the only person affected by such a change in the
positive sense could be me: I'd have one build less to care about.
Still, it's sometimes reassuring when both Lucid and Motif handle a
strange case the same way.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26180; Package emacs. Full text available.

Message received at 26180 <at> debbugs.gnu.org:


Received: (at 26180) by debbugs.gnu.org; 23 Mar 2017 08:07:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 23 04:07:46 2017
Received: from localhost ([127.0.0.1]:40104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cqxmc-0002x0-6Z
	for submit <at> debbugs.gnu.org; Thu, 23 Mar 2017 04:07:46 -0400
Received: from mail-wm0-f68.google.com ([74.125.82.68]:34651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1cqxma-0002wm-0I
 for 26180 <at> debbugs.gnu.org; Thu, 23 Mar 2017 04:07:44 -0400
Received: by mail-wm0-f68.google.com with SMTP id u132so14821379wmg.1
 for <26180 <at> debbugs.gnu.org>; Thu, 23 Mar 2017 01:07:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=VIczaHpk3hKeq61GrSzQ1FrAzi9WDM7hbFPsXT5jsUw=;
 b=p//awzAf7N8iyv62hUrfglAPXASGyy8Kg+Xp4ftNB1r54BkxjdT716ijI+rpbZbcs1
 joL9I5JJC9uiJnvcy0mFEzfvc6SqMi5tcXJeSKNcGnL9LaF2eFGmiZD+sPFle94xVqdD
 IQL2KxFgHlMNA9Qtd7KRmaBwfs1WYiXrMJx2qxyBWonpS3LVJVTfuTK9YLqz/uRt1Z95
 91izK0z9NnPAgh2mpXfKoV09wYOU1dzKnMl3Ei/B8ssTunYoRGkB0S/OTOX3YLCqHDXU
 X9ZEQZXg7qz8c5Iv3mobiop41WWdCGMdtdVqTZN4SQ/G9LQwB6zyPKlXipjB4t0Z4cmL
 2hXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=VIczaHpk3hKeq61GrSzQ1FrAzi9WDM7hbFPsXT5jsUw=;
 b=r6waDHIvvTsb1PxuDiz+o3LE9IKwwRWpEBmT5i5vNoyY1UlzkXTVsnF5TLr+GjVWRx
 ZozG1Uxs/V16Jl8qXcgbFEHFNZ6kGaTHFwn7pYakaKIvvFhsrlvdC2HKtVjKOGq6hdlp
 QOFdJ+hJcWSp7LfilEWdD4kSL4iHzD37oGgHrikEZ10kVCjUE9tbnP6U0GkIhW+b3MlH
 tUSlBynkB7DSDA4vPXtoIaxRcLB0n6QYYh0PF4nsYh1Hc6p6CnEvX12mowGK8Ry51QXW
 /SIUsSAl9o0anhzQ8xrBRMTEpMtxi1h9pCeC7fF2Cr3zf/mnoC/9uj3a7gZd/RNXnm3a
 GsOQ==
X-Gm-Message-State: AFeK/H1ccBTe1ygWwZkKhsAKiZIJXJRtk5JTZjLLiBsXyAw7BKF22rlm5ivZNZGZh9ERPg==
X-Received: by 10.28.87.6 with SMTP id l6mr1398091wmb.109.1490256458105;
 Thu, 23 Mar 2017 01:07:38 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.173.156])
 by smtp.googlemail.com with ESMTPSA id q12sm3338537wmd.8.2017.03.23.01.07.36
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 23 Mar 2017 01:07:37 -0700 (PDT)
Subject: Re: bug#26180: Remove motif toolkit support
To: martin rudalics <rudalics@HIDDEN>, Glenn Morris <rgm@HIDDEN>,
 26180 <at> debbugs.gnu.org
References: <fgr31soo4o.fsf@HIDDEN> <58D380BE.5050107@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <71b46c9e-b1e1-416f-2d00-a86516628a5e@HIDDEN>
Date: Thu, 23 Mar 2017 10:07:35 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.0
MIME-Version: 1.0
In-Reply-To: <58D380BE.5050107@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 26180
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On 23.03.2017 10:01, martin rudalics wrote:
> OTOH, I often use Motif, Lucid and "none"
> to simply verify that an arbitrary feature just works or used to work
> and it's only the GTK or Cairo builds which break it.

If Motif were removed, you'd still have Lucid and "none" to test 
against, wouldn't you?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26180; Package emacs. Full text available.

Message received at 26180 <at> debbugs.gnu.org:


Received: (at 26180) by debbugs.gnu.org; 23 Mar 2017 08:01:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 23 04:01:22 2017
Received: from localhost ([127.0.0.1]:40100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cqxgQ-0002o8-Ga
	for submit <at> debbugs.gnu.org; Thu, 23 Mar 2017 04:01:22 -0400
Received: from mout.gmx.net ([212.227.17.22]:57434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cqxgN-0002nu-J0
 for 26180 <at> debbugs.gnu.org; Thu, 23 Mar 2017 04:01:21 -0400
Received: from [192.168.1.100] ([213.162.68.47]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LjuR3-1cJYno0rmL-00bq0E; Thu, 23
 Mar 2017 09:01:13 +0100
Message-ID: <58D380BE.5050107@HIDDEN>
Date: Thu, 23 Mar 2017 09:01:02 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Glenn Morris <rgm@HIDDEN>, 26180 <at> debbugs.gnu.org
Subject: Re: bug#26180: Remove motif toolkit support
References: <fgr31soo4o.fsf@HIDDEN>
In-Reply-To: <fgr31soo4o.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:XUfRvUPIY/s6JauAdaJLjbcvyso96u8dyOkygsImQPxhmPewp5B
 c4xEsDdalfwkCyk13MFLNbs9f/G0r0k5O6vo3YqcB74OPBC353iU5A1oEq1H1UZymOdgwH+
 FsV3arv6UuV7pfbhTx0XkKHPn6XUUc3WDjUnOACZCOMwCdV0UtA5jGjZd1eat5F3SyjF/aY
 P4ZX8ZFq2wXbtEP2otaJQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:NWstgcg/t8s=:7CLitXSv5Erqz/sCMyVu94
 Re8dh7EKsfvUj5CZJJVBc1r0SlANXwQkasmXOKQ7jIuUbTm529q9xX7FSDFefscKyliBMGzGa
 5fYRhGC+YLZy5BH/llpi4JDW2WizWLp3hWz0QhDk4Gyk/fiz1W4vhVH4t+QxMMtRcHPT5Xo8/
 GdXfffW+yJOeGWaReaL5Q/RYo2cQQ2Rep/jjXDRljMZbkbrqEQwje+7+c1zkOB/u6u5dJLoaA
 uinC0uTqQ13S6D27Caen/dRsxJ3XwoKqz7oEtsRbk3HQ7KVoS5TqoxV4KagwRX/7g/cxq0Ie1
 nxW4rMx1EABkvTFn0HCtAgHofe7yq/dlhV4IqnMOqClghjqpO0pdSAGUI7MlG4fJna5lsVuP2
 HUkjEIKLwE9L1WyoDQdCNCcsH6jqHz0DbZSX9PID5ma1VpZCYS/hQmJHLDX1euhRid47Hes7Y
 0sgS/PnUAmwIG+YHGnARi5/l8K0tYNuOXIhXs/tPYt0aA81pqarxRIVhuyUlOvaCCmGN31/vp
 MmmEZlmNlTINSYI68aBBvpwdF4FYyBukjSuL5EJFw4WgfojNMIOmtLpgvK5hLbAlPZMXRCTaB
 YlYFJHBQ4MxyGeyFgrVOR02QJ8cV4Xg/NxiazfR1kFjMtqfEqsuQ3U0HVC5oeBw0mItJZoOXa
 TkTJ63YKfW/xO9ETg3Yom35yQpVMYzySmvfwtKpPNGb81kqcqvoQ9L2FJqrZLNBz4FGLe6vV9
 58jdbVm/mMlqX4Ovp9AxWwiaWpEXWTPIx1FPA19eGW0l4Qwpz/RYRPPo5CwxBL5VdCsNL2tkk
 Lp+foIHdUnfnp3a622+HLHe4YIQqw==
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > I'd like to suggest removing support for the Motif toolkit.
 > > Motivation: > Supporting more toolkits (gtk2, gtk3, lucid, motif, none)
 makes it > harder to develop relevant low-level features. I can't recall
 a case where supporting Motif, Lucid or "none" would have possibly hindered
 anyone to fix one of the well known bugs with GTK/GDK, Cairo and friends.
 OTOH, I often use Motif, Lucid and "none" to simply verify that an arbitrary
 feature just works or used to work and it's only the GTK or Cairo builds
 which break it. [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.17.22 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.17.22 listed in list.dnswl.org]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [213.162.68.47 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [212.227.17.22 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 26180
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I'd like to suggest removing support for the Motif toolkit.
    > > Motivation: > Supporting more toolkits (gtk2, gtk3, lucid, motif, none)
    makes it > harder to develop relevant low-level features. I can't recall
   a case where supporting Motif, Lucid or "none" would have possibly hindered
    anyone to fix one of the well known bugs with GTK/GDK, Cairo and friends.
    OTOH, I often use Motif, Lucid and "none" to simply verify that an arbitrary
    feature just works or used to work and it's only the GTK or Cairo builds
   which break it. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.17.22 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.17.22 listed in list.dnswl.org]
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [213.162.68.47 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [212.227.17.22 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

 > I'd like to suggest removing support for the Motif toolkit.
 >
 > Motivation:
 > Supporting more toolkits (gtk2, gtk3, lucid, motif, none) makes it
 > harder to develop relevant low-level features.

I can't recall a case where supporting Motif, Lucid or "none" would
have possibly hindered anyone to fix one of the well known bugs with
GTK/GDK, Cairo and friends.  OTOH, I often use Motif, Lucid and "none"
to simply verify that an arbitrary feature just works or used to work
and it's only the GTK or Cairo builds which break it.

So I'm voting against your suggestion.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26180; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2017 23:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 19 19:14:38 2017
Received: from localhost ([127.0.0.1]:35626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cpk22-00024j-Ih
	for submit <at> debbugs.gnu.org; Sun, 19 Mar 2017 19:14:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cpk22-00024W-2T
 for submit <at> debbugs.gnu.org; Sun, 19 Mar 2017 19:14:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cpk1w-0006Fx-9a
 for submit <at> debbugs.gnu.org; Sun, 19 Mar 2017 19:14:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51940)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cpk1w-0006Ft-6J
 for submit <at> debbugs.gnu.org; Sun, 19 Mar 2017 19:14:32 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cpk1v-0005YU-Pb; Sun, 19 Mar 2017 19:14:31 -0400
From: Glenn Morris <rgm@HIDDEN>
To: submit <at> debbugs.gnu.org
Subject: Remove motif toolkit support
X-Spook: Chobetsu mailbomb Ansar al-Islam SEAL Team 6 computer
X-Ran: l:3ftM|FlB\%$c&2"1)[vh~F\Ei-,_G+sZ(3{{3D;")".coOr|Z#Z8k1fOOZ:W;syf0>Ae
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 19 Mar 2017 19:14:31 -0400
Message-ID: <fgr31soo4o.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Package: emacs
Version: 25.2
Severity: wishlist

I'd like to suggest removing support for the Motif toolkit.

Motivation:
Supporting more toolkits (gtk2, gtk3, lucid, motif, none) makes it
harder to develop relevant low-level features.

The Motif toolkit build of Emacs seems to be very little used:
  - Fedora packages just a Gtk version
  - Debian packages Gtk and Lucid
  - Only ~20 mentions of "motif" on bug-gnu-emacs, ever. Most are just
  comparison testing

(I see https://wiki.gentoo.org/wiki/GNU_Emacs mentions it, but my
suspicion is that this is just an attempt at completeness when listing
alternatives to Gtk. Since it's listed first, I wonder if this has
caused more people to use it than otherwise would. All just speculation
on my part.)

(The "none" toolkit is also never used in practice, but I understand it
may be useful as a base/reference.)




Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26180; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.